
Katello - Bug #4962

clicking to "upstream" link after importing manifest, generates ISE: ActionController::RoutingError

(No route matches [GET] "/katello/access.redhat.com/management/
Status: Closed   
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1081756

Description of problem:

Clicking to "upstream" link after importing manifest, generates ISE

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140327.0

How reproducible:

always

Steps to Reproduce:

1. Install Satellite 6 and upload manifest

2. When manifest is uploaded, use "<< Back" link or go to:

Content -> Red Hat Subscriptions -> Manage Manifest

3. Click to link in "Upstream" field

 https://&lt;fqdn&gt;/katello/access.redhat.com/management/distributors/&lt;something>

Actual results:

ActionController::RoutingError (No route matches [GET]

"/katello/access.redhat.com/management/distributors/23ae3976-5b20-4808-81d5-67e8e5c6d415"):

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler/thread_handler.rb:140:in

`accept_and_process_next_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'

Expected results:

Should work

Associated revisions

Revision e4ce737d - 03/31/2014 07:36 AM - Thomas McKay

fixes #4962, BZ1081756 - prefix https:// on portal link if not present

Revision 8fe4446d - 03/31/2014 10:10 AM - Thomas McKay

Merge pull request #3921 from thomasmckay/4962-portal-link

fixes #4962, BZ1081756 - prefix https:// on portal link if not present

Revision 0be989eb - 03/31/2014 11:36 AM - Thomas McKay

fixes #4962, BZ1081756 - prefix https:// on portal link if not present

Revision fa174612 - 03/31/2014 02:10 PM - Thomas McKay
Merge pull request #3921 from thomasmckay/4962-portal-link

fixes #4962, BZ1081756 - prefix https:// on portal link if not present

History

#1 - 03/31/2014 11:07 AM - Thomas McKay

- Assignee set to Thomas McKay

- Triaged set to Yes

#2 - 03/31/2014 11:07 AM - Thomas McKay

- Status changed from New to Assigned

#3 - 03/31/2014 02:52 PM - Thomas McKay

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:0be989ebe393ffb9de85abf3177fa3409bbbdc7f.

#4 - 08/21/2014 02:39 PM - Eric Helms

- translation missing: en.field_release set to 13
